##
# This class is the master/parent class to all of the validation functionality
class PhoneNumberValidator
  class << self

    ##
    # Validates any United States phone number!
    #
    # <b>Arguments:</b>
    #   phone_number: (String)
    def validate(phone_number)
      validator = Validator.new(phone_number)
      validator.validate
    end
  end
end

require 'phone_number_validator/validator'
